Subject: Re: linux-next: manual merge of the rr tree

From: Rusty Russell <[email-masked]>
Date: Mon, 5 Jan 2009 17:27:10 +1030

On Monday 05 January 2009 14:02:39 Stephen Rothwell wrote:
> Hi Rusty,
> 
> Today's linux-next merge of the rr tree got a conflict in kernel/module.c
> between commit d3794979a8a80c222ce9d016a6dfc4bed36965d0 ("Zero based
> percpu: infrastructure to rebase the per cpu area to zero") from the
> tip-core tree and the cpualloc patches from the rr tree.

That's a sweet patch, but there are a few issues with it.  Main one is
that noone sets CONFIG_HAVE_ZERO_BASED_PER_CPU yet.  Is there more sitting
outside the tree, Mike?

1) Author is wrong.  This is Christoph's, not Mike's.
2) module.c now includes asm/sections.h twice.
3) We do still need RELOC_HIDE: it's for the compiler, not us.  It
   can otherwise make assumptions about pointers remaining within objects.
4) Defining SHIFT_PERCPU_PTR for UP, and DEFINE_PER_CPU_FIRST are currently
   unnecessary.  I assume for future patches, but I want to see them!

Thanks,
Rusty.